> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token liquidity



## OpenAPI

````yaml get /token/{id}/liquidity
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/liquidity:
    get:
      tags:
        - Tokens
      operationId: TokenController_getLiquidity
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: sort
          required: false
          in: query
          schema:
            nullable: true
            enum:
              - null
              - balance:asc
              - balance:desc
              - holding_value:asc
              - holding_value:desc
              - btc_first:asc
              - btc_first:desc
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Paginated'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/LedgerEntity'
components:
  schemas:
    Paginated:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        count:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - count
        - page
        - limit
    LedgerEntity:
      type: object
      properties:
        user:
          type: string
        token:
          type: string
        balance:
          type: number
          format: decimal
        user_username:
          type: string
        user_image:
          type: string
        tokenid:
          type: string
      required:
        - user
        - token
        - balance
        - user_username
        - user_image
        - tokenid

````